Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.servlet.jsp.taglib
Class IncludeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.portal.core.servlet.jsp.taglib.IncludeTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class IncludeTag

extends javax.servlet.jsp.tagext.TagSupport

Inclusion tag. Used to include a JSP page to another page.

Author:
  Thomas Heute $Revision: 8786 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`IncludeTag()`

Method Summary
`int` | `doStartTag()`
`void` | `setPage(java.lang.String filename)` Set the page attribute.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncludeTag

    public IncludeTag()

Method Detail

### setPage

    public void setPage(java.lang.String filename)

  Set the page attribute. THe filename can be relative or absolute (if starts with a /)

  Parameters:
    `filename` -

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD